## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global glib2_version 2.45.8
%global json_glib_version 1.1.2
%global gdk_pixbuf_version 2.31.5

Summary:   Library for AppStream metadata
Name:      libappstream-glib
Version:   0.8.3
Release:   %autorelease
License:   LGPL-2.1-or-later
URL:       http://people.freedesktop.org/~hughsient/appstream-glib/
Source0:   http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-%{version}.tar.xz

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: docbook-utils
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel
BuildRequires: gperf
BuildRequires: libarchive-devel
BuildRequires: libcurl-devel
BuildRequires: gdk-pixbuf2-devel >= %{gdk_pixbuf_version}
BuildRequires: gtk3-devel
BuildRequires: gettext
BuildRequires: libuuid-devel
BuildRequires: json-glib-devel >= %{json_glib_version}
BuildRequires: meson

# for the builder component
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: pango-devel
BuildRequires: rpm-devel

# for the manpages
BuildRequires: libxslt
BuildRequires: docbook-style-xsl

# Make sure we pull in the minimum required versions
Requires: gdk-pixbuf2%{?_isa} >= %{gdk_pixbuf_version}
Requires: glib2%{?_isa} >= %{glib2_version}
Requires: json-glib%{?_isa} >= %{json_glib_version}

# no longer required
Obsoletes: appdata-tools < 0.1.9
Provides: appdata-tools

# Removed in F30
Obsoletes: libappstream-glib-builder-devel < 0.7.15

# this is not a library version
%define as_plugin_version               5

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package devel
Summary: GLib Libraries and headers for appstream-glib
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
GLib headers and libraries for appstream-glib.

%package builder
Summary: Library and command line tools for building AppStream metadata
Requires: %{name}%{?_isa} = %{version}-%{release}
Recommends: pngquant

%description builder
This library and command line tool is used for building AppStream metadata
from a directory of packages.

%prep
%autosetup -p1 -n appstream-glib-%{version}

%build
%meson \
    -Dgtk-doc=true \
    -Ddep11=false
%meson_build

%install
%meson_install

%find_lang appstream-glib

%ldconfig_scriptlets
%ldconfig_scriptlets builder

%files -f appstream-glib.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_libdir}/libappstream-glib.so.8*
%{_libdir}/girepository-1.0/*.typelib
%{_bindir}/appstream-util
%{_bindir}/appstream-compose
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.1.gz
%{_mandir}/man1/appstream-compose.1.gz

%files devel
%{_libdir}/libappstream-glib.so
%{_libdir}/pkgconfig/appstream-glib.pc
%dir %{_includedir}/libappstream-glib
%{_includedir}/libappstream-glib/*.h
%{_datadir}/gtk-doc/html/appstream-glib
%{_datadir}/gir-1.0/AppStreamGlib-1.0.gir
%{_datadir}/aclocal/*.m4
%{_datadir}/installed-tests/appstream-glib/*.test
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files builder
%license COPYING
%{_bindir}/appstream-builder
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_appdata.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_desktop.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_font.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_gettext.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_hardcoded.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_icon.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_shell_extension.so
%{_mandir}/man1/appstream-builder.1.gz

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 05 2024 Richard Hughes <richard@hughsie.com> - 0.8.3-1
- New upstream release

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 19 2023 Petr Písař <ppisar@redhat.com> - 0.8.2-4
- Rebuild against rpm-4.19
  (https://fedoraproject.org/wiki/Changes/RPM-4.19)

* Wed Feb 22 2023 Richard Hughes <richard@hughsie.com> - 0.8.2-3
- migrated to SPDX license

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Richard Hughes <richard@hughsie.com> - 0.8.2-1
- New upstream release

* Wed Aug 10 2022 Richard Hughes <richard@hughsie.com> - 0.8.1-1
- New upstream release

* Sun Jul 31 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 0.8.0-4
- Packported upstream patch to fix RHBZ#2110204.

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Kalev Lember <klember@redhat.com> - 0.8.0-2
- Remove leftover requires on libsoup

* Fri Jul 15 2022 Richard Hughes <richard@hughsie.com> - 0.8.0-1
- New upstream release

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Sep 07 2020 Richard Hughes <richard@hughsie.com> - 0.7.18-1
- New upstream release

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Feb 20 2020 Richard Hughes <richard@hughsie.com> - 0.7.17-1
- New upstream release

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Nov 14 2019 Kalev Lember <klember@redhat.com> - 0.7.16-2
- Backport a patch to fix parsing Qt translations in subdirectories

* Mon Sep 30 2019 Richard Hughes <richard@hughsie.com> - 0.7.16-1
- Update to 0.7.15

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.15-3
- Rebuild for RPM 4.15

* Mon Jun 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.15-2
- Rebuild for RPM 4.15

* Thu Feb 28 2019 Kalev Lember <klember@redhat.com> - 0.7.15-1
- Update to 0.7.15
- Remove and obsolete the -builder-devel subpackage

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Dec 28 2018 Kalev Lember <klember@redhat.com> - 0.7.14-4
- Backport an upstream patch to fix common gnome-software crash

* Tue Dec 18 2018 Kalev Lember <klember@redhat.com> - 0.7.14-3
- Backport AsStore locking patches from upstream

* Wed Oct 24 2018 Kalev Lember <klember@redhat.com> - 0.7.14-2
- Add new as_utils_vercmp_full() API for gnome-software

* Tue Oct 16 2018 Richard Hughes <richard@hughsie.com> - 0.7.14-1
- New upstream release

* Fri Sep 28 2018 Richard Hughes <richard@hughsie.com> - 0.7.13-1
- New upstream release

* Mon Aug 13 2018 Richard Hughes <richard@hughsie.com> - 0.7.12-1
- New upstream release

* Thu Aug 09 2018 Richard Hughes <richard@hughsie.com> - 0.7.11-1
- New upstream release

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 11 2018 Richard Hughes <richard@hughsie.com> - 0.7.10-1
- New upstream release

* Mon Jun 04 2018 Richard Hughes <richard@hughsie.com> - 0.7.9-1
- New upstream release

* Fri Apr 20 2018 Richard Hughes <richard@hughsie.com> - 0.7.8-1
- New upstream release

* Wed Apr 18 2018 Mathieu Bridon <bochecha@daitauha.fr> - 0.7.7-4
- Fix bogus date in changelog

* Tue Apr 17 2018 Kalev Lember <klember@redhat.com> - 0.7.7-3
- Veto apps that have empty OnlyShowIn=

* Thu Mar 15 2018 Kalev Lember <klember@redhat.com> - 0.7.7-2
- Backport a patch to add as_utils_unique_id_match()

* Tue Mar 13 2018 Richard Hughes <richard@hughsie.com> - 0.7.7-1
- New upstream release

* Fri Feb 09 2018 Richard Hughes <richard@hughsie.com> - 0.7.6-1
- New upstream release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Feb 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.5-5
- Switch to %%ldconfig_scriptlets

* Tue Jan 30 2018 Richard Hughes <richard@hughsie.com> - 0.7.5-4
- Backport a fix from master to fix XML generation

* Wed Jan 24 2018 Richard Hughes <richard@hughsie.com> - 0.7.5-3
- Backport two crash fixes from master

* Mon Jan 22 2018 Richard Hughes <richard@hughsie.com> - 0.7.5-2
- trivial: And with new sources uploaded

* Mon Jan 22 2018 Richard Hughes <richard@hughsie.com> - 0.7.5-1
- New upstream release

* Thu Nov 09 2017 Kalev Lember <klember@redhat.com> - 0.7.4-1
- Update to 0.7.4

* Mon Oct 23 2017 Richard Hughes <richard@hughsie.com> - 0.7.3-1
- New upstream release

* Mon Aug 21 2017 Richard Hughes <richard@hughsie.com> - 0.7.2-1
- New upstream release

* Fri Aug 11 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.7.1-4
- Rebuilt after RPM update (№ 3)

* Thu Aug 10 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.7.1-3
- Rebuilt for RPM soname bump

* Thu Aug 10 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.7.1-2
- Rebuilt for RPM soname bump

* Thu Aug 03 2017 Richard Hughes <richard@hughsie.com> - 0.7.1-1
- New upstream release

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 22 2017 Richard Hughes <richard@hughsie.com> - 0.7.0-1
- New upstream release

* Mon May 08 2017 Richard Hughes <richard@hughsie.com> - 0.6.13-1
- New upstream release

* Wed Apr 12 2017 Richard Hughes <richard@hughsie.com> - 0.6.12-1
- New upstream release

* Mon Mar 20 2017 Richard Hughes <richard@hughsie.com> - 0.6.11-1
- New upstream release

* Mon Mar 06 2017 Richard Hughes <richard@hughsie.com> - 0.6.10-1
- New upstream release

* Mon Feb 27 2017 Richard Hughes <richard@hughsie.com> - 0.6.9-1
- New upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 03 2017 Kalev Lember <klember@redhat.com> - 0.6.8-2
- Backport a patch for overly strict appstream-util validate-relax

* Thu Feb 02 2017 Kalev Lember <klember@redhat.com> - 0.6.8-1
- New upstream release

* Fri Jan 27 2017 Kalev Lember <klember@redhat.com> - 0.6.7-3
- Backport two use-after-free fixes from upstream

* Mon Jan 16 2017 Kalev Lember <klember@redhat.com> - 0.6.7-2
- Fix epiphany showing up twice in gnome-software

* Thu Jan 12 2017 Richard Hughes <richard@hughsie.com> - 0.6.7-1
- New upstream release

* Thu Dec 15 2016 Richard Hughes <richard@hughsie.com> - 0.6.6-1
- New upstream release

* Mon Nov 07 2016 Richard Hughes <richard@hughsie.com> - 0.6.5-1
- New upstream release

* Wed Oct 12 2016 Richard Hughes <richard@hughsie.com> - 0.6.4-1
- New upstream release

* Tue Sep 06 2016 Richard Hughes <richard@hughsie.com> - 0.6.3-2
- trivial: Actually upload sources...

* Tue Sep 06 2016 Richard Hughes <richard@hughsie.com> - 0.6.3-1
- New upstream release

* Mon Aug 29 2016 Richard Hughes <richard@hughsie.com> - 0.6.2-1
- New upstream release

* Wed Aug 17 2016 Kalev Lember <klember@redhat.com> - 0.6.1-2
- Fix gcc shift warnings on 32 bit platforms

* Fri Aug 12 2016 Richard Hughes <richard@hughsie.com> - 0.6.1-1
- New upstream release

* Wed Aug 10 2016 Richard Hughes <richard@hughsie.com> - 0.5.18-1
- New upstream release

* Wed Jul 13 2016 Richard Hughes <richard@hughsie.com> - 0.5.17-2
- trivial: Upload tarball...

* Wed Jul 13 2016 Richard Hughes <richard@hughsie.com> - 0.5.17-1
- New upstream release

* Fri Jul 01 2016 Kalev Lember <klember@redhat.com> - 0.5.16-2
- Set minimum required versions for dependencies

* Mon Jun 13 2016 Richard Hughes <richard@hughsie.com> - 0.5.16-1
- New upstream release

* Mon May 23 2016 Richard Hughes <richard@hughsie.com> - 0.5.15-1
- New upstream release

* Wed Apr 20 2016 Richard Hughes <richard@hughsie.com> - 0.5.14-1
- New upstream release

* Fri Apr 01 2016 Richard Hughes <richard@hughsie.com> - 0.5.13-1
- New upstream release

* Tue Mar 29 2016 Richard Hughes <richard@hughsie.com> - 0.5.12-1
- New upstream release

* Wed Mar 23 2016 Richard Hughes <richard@hughsie.com> - 0.5.11-3
- Rebuild to fix NVRs

* Tue Mar 08 2016 Richard Hughes <richard@hughsie.com> - 0.5.11-2
- Fix BRs

* Tue Mar 08 2016 Richard Hughes <richard@hughsie.com> - 0.5.11-1
- New upstream release

* Fri Feb 26 2016 Richard Hughes <richard@hughsie.com> - 0.5.10-1
- New upstream release

* Fri Feb 12 2016 Richard Hughes <richard@hughsie.com> - 0.5.9-1
- New upstream release

* Tue Feb 02 2016 Richard Hughes <richard@hughsie.com> - 0.5.8-1
- New upstream release

* Fri Jan 15 2016 Richard Hughes <richard@hughsie.com> - 0.5.6-1
- New upstream release

* Wed Dec 16 2015 Richard Hughes <richard@hughsie.com> - 0.5.5-1
- New upstream release

* Thu Nov 19 2015 Richard Hughes <richard@hughsie.com> - 0.5.4-2
- Actually upload new sources

* Wed Nov 18 2015 Richard Hughes <richard@hughsie.com> - 0.5.4-1
- New upstream release

* Thu Nov 05 2015 Richard Hughes <richard@hughsie.com> - 0.5.3-1
- New upstream release

* Tue Oct 27 2015 Richard Hughes <richard@hughsie.com> - 0.5.2-1
- New upstream release

* Thu Oct 15 2015 Kalev Lember <klember@redhat.com> - 0.5.1-3
- Use license macro for COPYING

* Thu Oct 15 2015 Kalev Lember <klember@redhat.com> - 0.5.1-2
- Backport a patch to fix icons in gnome-software for apps without AppData

* Tue Sep 15 2015 Richard Hughes <richard@hughsie.com> - 0.5.1-1
- New upstream release

* Sat Sep 05 2015 Kalev Lember <klember@redhat.com> - 0.5.0-2
- Rebuilt for librpm soname bump

* Wed Aug 12 2015 Richard Hughes <richard@hughsie.com> - 0.5.0-1
- New upstream release

* Wed Jul 29 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-2
- Rebuild for rpm 4.12.90

* Mon Jul 20 2015 Richard Hughes <richard@hughsie.com> - 0.4.1-1
- New upstream release

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 26 2015 Richard Hughes <richard@hughsie.com> - 0.4.0-1
- New upstream release

* Wed Apr 29 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.6-2
- Fix exo-web-browser blacklist entry

* Mon Mar 30 2015 Richard Hughes <richard@hughsie.com> - 0.3.6-1
- New upstream release

* Wed Mar 11 2015 Richard Hughes <richard@hughsie.com> - 0.3.5-1
- New upstream release

* Sat Jan 17 2015 Richard Hughes <richard@hughsie.com> - 0.3.4-1
- New upstream release

* Mon Nov 24 2014 Richard Hughes <richard@hughsie.com> - 0.3.3-1
- New upstream release

* Tue Nov 04 2014 Richard Hughes <richard@hughsie.com> - 0.3.2-1
- New upstream release

* Tue Oct 21 2014 Richard Hughes <richard@hughsie.com> - 0.3.1-2
- trivial: Fix BRs

* Tue Oct 21 2014 Richard Hughes <richard@hughsie.com> - 0.3.1-1
- New upstream release

* Mon Sep 01 2014 Richard Hughes <richard@hughsie.com> - 0.3.0-1
- New upstream release

* Mon Aug 18 2014 Richard Hughes <richard@hughsie.com> - 0.2.5-1
- New upstream release

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Aug 05 2014 Richard Hughes <richard@hughsie.com> - 0.2.4-1
- New upstream release

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.2.3-2
- Rebuilt for gobject-introspection 1.41.4

* Thu Jul 17 2014 Richard Hughes <richard@hughsie.com> - 0.2.3-1
- New upstream release

* Fri Jul 11 2014 Richard Hughes <richard@hughsie.com> - 0.2.2-1
- New upstream release

* Tue Jun 24 2014 Richard Hughes <richard@hughsie.com> - 0.2.1-1
- New upstream release

* Thu Jun 19 2014 Richard Hughes <richard@hughsie.com> - 0.2.0-1
- New upstream release

* Thu Jun 12 2014 Richard Hughes <richard@hughsie.com> - 0.1.7-1
- New upstream release

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Richard Hughes <richard@hughsie.com> - 0.1.6-1
- New upstream release

* Mon May 12 2014 Richard Hughes <richard@hughsie.com> - 0.1.5-1
- New upstream release

* Fri Apr 25 2014 Richard Hughes <richard@hughsie.com> - 0.1.4-1
- New upstream release

* Thu Apr 10 2014 Richard Hughes <richard@hughsie.com> - 0.1.3-1
- New upstream release

* Wed Mar 26 2014 Richard Hughes <richard@hughsie.com> - 0.1.2-1
- New upstream release

* Fri Mar 21 2014 Richard Hughes <richard@hughsie.com> - 0.1.1-1
- New upstream release

* Tue Mar 18 2014 Richard Hughes <richard@hughsie.com> - 0.1.0-1
- First release of 0.1.0
## END: Generated by rpmautospec
